/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2024-10-28 11:33:51
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2024-11-13 14:18:33
 * @FilePath: \znxjxt-ui\src\api\xj\screen\traffic-screen.js
 * @Description: 大屏病害巡检接口
 */
import request from "@/utils/request";

// 交安事件接口
// export function safetyData(query) {
//   return request({
//     url: "/bigscreen/getEventInfo",
//     method: "get",
//     params: query,
//   });
// }
//   今日巡查数据
export function roadToday(query) {
  return request({
    url: "/bigscreen/v2/getInspectionInfo",
    method: "get",
    params: query,
  });
}

// 今日巡查弹窗
export function roadTodayDetail(query) {
  return request({
    url: "/bigscreen/v2/getInspectionDetailInfo",
    method: "get",
    params: query,
  });
}

//  交安事件趋势接口
export function defectLog(query) {
  return request({
    url: "/bigscreen/v2/getDefectLog",
    method: "get",
    params: query,
  });
}

//  交安事件统计接口
// export function statisticData(query) {
//   return request({
//     url: "/bigscreen/eventStatus",
//     method: "get",
//     params: query,
//   });
// }
export function roadCurrent(query) {
  return request({
    url: "/bigscreen/v2/roadStatus",
    method: "get",
    params: query,
  });
}

// 交安事件排名接口
export function rankCount(query) {
  return request({
    url: "/bigscreen/getEventCountRanking",
    method: "get",
    params: query,
  });
}

// 交安突发事件
// export function emergencyData(query) {
//   return request({
//     url: "/bigscreen/getEmergencyEvent",
//     method: "get",
//     params: query,
//   });
// }

// 病害日志列表
export function emergencyData(data) {
  return request({
    url: "/bigscreen/v2/getCurrentDefectListPage",
    method: "post",
    data,
  });
}


// 病害日志-病害类型下拉
export function DefectType(query) {
  return request({
    url: "/bigscreen/v2/getAllDefectType",
    method: "get",
    params: query,
  });
}